Bug 242321 - rebuild of 6.9-2.fc7 fails with futimens error
rebuild of 6.9-2.fc7 fails with futimens error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: EasyFix, TestBlocker
Depends On:
Blocks: F7Update
  Show dependency treegraph
 
Reported: 2007-06-03 05:56 EDT by Marek Mahut
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 6.9-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 23:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (82.65 KB, text/plain)
2007-06-03 05:59 EDT, Marek Mahut
no flags Details
proposed patch (2.43 KB, patch)
2007-06-03 07:29 EDT, Marek Mahut
no flags Details | Diff

  None (edit)
Description Marek Mahut 2007-06-03 05:56:01 EDT
Description of problem:

When trying to compile coreutils-6.9-2.fc7 from srpm the compilation fail with
errors:

In file included from utimecmp.c:34:
utimens.h:2: error: conflicting types for 'futimens'
///usr/include/sys/stat.h:370: error: previous declaration of 'futimens' was here
make[2]: *** [utimecmp.o] Error 1

Version-Release numbers of selected component (if applicable):

coreutils-6.9-2.fc7
glibc-2.6-3


How reproducible:

always

Steps to Reproduce:

1. download srpm of coreutils-6.9-2.fc7, decompress it or checkout sources from cvs
2. try to build
  
Actual results:

rpmbuild crash with errors

Expected results:

rpmbuild should rebuild that package without problem

Additional info:

it's light rain here in Brno
Comment 1 Marek Mahut 2007-06-03 05:59:31 EDT
Created attachment 156019 [details]
screenshot
Comment 2 Marek Mahut 2007-06-03 07:29:57 EDT
Created attachment 156020 [details]
proposed patch

The problem occur with glibc-2.6. Glibc now declares "futimens" and it
conflicts with "futimens" in gnulib. Upstream decided to rename it to
"gl_futimens".

http://cvs.savannah.gnu.org/viewvc/gnulib/gnulib/lib/utimens.c?revision=1.15&view=markup&pathrev=MAIN
Comment 3 Fedora Update System 2007-06-13 17:03:33 EDT
coreutils-6.9-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-06-26 23:53:10 EDT
coreutils-6.9-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.